# Copyright (c) 2019, Xhiveframework and Contributors
# License: GNU General Public License v3. See license.txt

import xhiveframework

from xhiveerp.regional.united_arab_emirates.setup import setup


def execute():
	company = xhiveframework.get_all("Company", filters={"country": "United Arab Emirates"})
	if not company:
		return

	xhiveframework.reload_doc("regional", "report", "uae_vat_201")
	xhiveframework.reload_doc("regional", "doctype", "uae_vat_settings")
	xhiveframework.reload_doc("regional", "doctype", "uae_vat_account")

	setup()
